> ## Documentation Index
> Fetch the complete documentation index at: https://basecamp.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Runtime Environment

> ランタイム環境のセットアップ

## 1. Homebrew のインストール

Homebrew がインストールされていない場合は、以下のコマンドを Terminal に入力してインストールを行います。

```bash theme={null}
/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"
```

## 2. Node.js のインストール

以下の手順に従って Node.js のインストールを行います。

### 1. インストール

Homebrew がインストールされたら、以下のコマンドを実行して Node.js をインストールします。

```bash theme={null}
brew install node
```

### 2. インストールの確認

Node.js と npm（Node Package Manager）が正しくインストールされたか確認しましょう。

#### Node.js のバージョン確認

ターミナルで以下のコマンドを実行します。

```bash theme={null}
node -v
```

#### Node.js のバージョン表示の例

正しくインストールされている場合は、以下のようにバージョンが表示されます。

```
v20.18.0
```

#### npm のバージョン確認

ターミナルで以下のコマンドを実行します。

```bash theme={null}
npm -v
```

#### npm のバージョン表示の例

正しくインストールされている場合は、以下のようにバージョンが表示されます。

```
10.8.2
```
